package com.cmeeting.stressTest.controller;

import com.cmeeting.stressTest.service.StressTestService;
import com.cmeeting.util.R;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


@RestController
@RequestMapping("/stressTest")
public class StressTestController {
    @Resource
    private StressTestService service;

    @GetMapping("/minutesGenerate")
    public R minutesGenerate(@RequestParam(value = "stressPage") Integer stressPage){
        service.minutesGenerate(stressPage);
        return R.ok();
    }

    @GetMapping("/minutesGenerateRetry")
    public R minutesGenerateRetry(){
        service.minutesGenerateRetry();
        return R.ok();
    }

    @GetMapping("/emailPushRetry")
    public R emailPushRetry(){
        service.emailPushRetry();
        return R.ok();
    }
}
